path: /build/build/libavif-media-libs-1.0.4.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="aom dav1d gdk-pixbuf rav1e" emerge media-libs/libavif -pv -t && \
    USE="aom dav1d gdk-pixbuf rav1e" emerge -j ${JOBS} --nodeps media-libs/libavif
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/libavif && luet-portage --dir /pkgdir/libavif
    media-libs/libavif && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:8bfbf1a9f0af25a874604f25f14dc5acf6ddd3573ea707ce1e750cb6a1f31a6f
  package:
    name: libavif
    version: 1.0.4
    category: media-libs
    use_flags:
    - aom
    - dav1d
    - gdk-pixbuf
    - rav1e
    requires:
    - name: libaom
      version: '>=0'
      category: media-libs
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Library for encoding and decoding .avif files
    uri:
    - https://github.com/AOMediaCodec/libavif
    license: BSD-2
    buildtimestamp: 2024-03-06 19:25:37.383184659 +0000 UTC m=+1474.618775973
    labels:
      BDEPEND: virtual/pkgconfig dev-util/ninja dev-util/cmake
      DEPEND: media-libs/libpng sys-libs/zlib virtual/jpeg aom? ( >=media-libs/libaom-2.0.0:=
        ) dav1d? ( media-libs/dav1d ) gdk-pixbuf? ( x11-libs/gdk-pixbuf:2 ) rav1e?
        ( media-video/rav1e[capi] )
      IUSE: +aom dav1d examples extras gdk-pixbuf rav1e
      RDEPEND: media-libs/libpng sys-libs/zlib virtual/jpeg aom? ( >=media-libs/libaom-2.0.0:=
        ) dav1d? ( media-libs/dav1d ) gdk-pixbuf? ( x11-libs/gdk-pixbuf:2 ) rav1e?
        ( media-video/rav1e[capi] )
      emerge.packages: media-libs/libavif
      kit: media-kit
      original.package.name: media-libs/libavif
      original.package.slot: "0"
      original.package.version: 1.0.4
    treedir: /build/packages
  package_dir: /pkgdir/libavif
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 532561b8df4d7517e616d4586409d114255e8907591f72a2cf36b55dbb179dac
compressiontype: zstd
files:
- usr/include/avif/avif.h
- usr/lib64/cmake/libavif/libavif-config-gentoo.cmake
- usr/lib64/cmake/libavif/libavif-config-version.cmake
- usr/lib64/cmake/libavif/libavif-config.cmake
- usr/lib64/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-avif.so
- usr/lib64/libavif.so
- usr/lib64/libavif.so.16
- usr/lib64/libavif.so.16.0.4
- usr/lib64/pkgconfig/libavif.pc
- usr/share/doc/libavif-1.0.4/README.md.bz2
- usr/share/thumbnailers/avif.thumbnailer
- var/db/pkg/media-libs/libavif-1.0.4/BDEPEND
- var/db/pkg/media-libs/libavif-1.0.4/BUILD_TIME
- var/db/pkg/media-libs/libavif-1.0.4/CATEGORY
- var/db/pkg/media-libs/libavif-1.0.4/CBUILD
- var/db/pkg/media-libs/libavif-1.0.4/CFLAGS
- var/db/pkg/media-libs/libavif-1.0.4/CHOST
- var/db/pkg/media-libs/libavif-1.0.4/CONTENTS
- var/db/pkg/media-libs/libavif-1.0.4/COUNTER
- var/db/pkg/media-libs/libavif-1.0.4/CXXFLAGS
- var/db/pkg/media-libs/libavif-1.0.4/DEFINED_PHASES
- var/db/pkg/media-libs/libavif-1.0.4/DEPEND
- var/db/pkg/media-libs/libavif-1.0.4/DESCRIPTION
- var/db/pkg/media-libs/libavif-1.0.4/EAPI
- var/db/pkg/media-libs/libavif-1.0.4/FEATURES
- var/db/pkg/media-libs/libavif-1.0.4/HOMEPAGE
- var/db/pkg/media-libs/libavif-1.0.4/INHERITED
- var/db/pkg/media-libs/libavif-1.0.4/IUSE
- var/db/pkg/media-libs/libavif-1.0.4/IUSE_EFFECTIVE
- var/db/pkg/media-libs/libavif-1.0.4/KEYWORDS
- var/db/pkg/media-libs/libavif-1.0.4/LDFLAGS
- var/db/pkg/media-libs/libavif-1.0.4/LICENSE
- var/db/pkg/media-libs/libavif-1.0.4/NEEDED
- var/db/pkg/media-libs/libavif-1.0.4/PF
- var/db/pkg/media-libs/libavif-1.0.4/PROVIDES
- var/db/pkg/media-libs/libavif-1.0.4/RDEPEND
- var/db/pkg/media-libs/libavif-1.0.4/REQUIRES
- var/db/pkg/media-libs/libavif-1.0.4/SIZE
- var/db/pkg/media-libs/libavif-1.0.4/SLOT
- var/db/pkg/media-libs/libavif-1.0.4/USE
- var/db/pkg/media-libs/libavif-1.0.4/environment.bz2
- var/db/pkg/media-libs/libavif-1.0.4/libavif-1.0.4.ebuild
- var/db/pkg/media-libs/libavif-1.0.4/repository
package_cacheimage: ""
runtime:
  name: libavif
  version: 1.0.4
  category: media-libs
  use_flags:
  - aom
  - dav1d
  - gdk-pixbuf
  - rav1e
  requires:
  - name: dav1d
    version: '>=0'
    category: media-libs
  - name: libaom
    version: '>=0'
    category: media-libs
  - name: rav1e
    version: '>=0'
    category: media-video
  - name: jpeg
    version: '>=0'
    category: virtual
  - name: gdk-pixbuf
    version: '>=0'
    category: x11-libs-2
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Library for encoding and decoding .avif files
  uri:
  - https://github.com/AOMediaCodec/libavif
  license: BSD-2
  labels:
    BDEPEND: virtual/pkgconfig dev-util/ninja dev-util/cmake
    DEPEND: media-libs/libpng sys-libs/zlib virtual/jpeg aom? ( >=media-libs/libaom-2.0.0:=
      ) dav1d? ( media-libs/dav1d ) gdk-pixbuf? ( x11-libs/gdk-pixbuf:2 ) rav1e? (
      media-video/rav1e[capi] )
    IUSE: +aom dav1d examples extras gdk-pixbuf rav1e
    RDEPEND: media-libs/libpng sys-libs/zlib virtual/jpeg aom? ( >=media-libs/libaom-2.0.0:=
      ) dav1d? ( media-libs/dav1d ) gdk-pixbuf? ( x11-libs/gdk-pixbuf:2 ) rav1e? (
      media-video/rav1e[capi] )
    emerge.packages: media-libs/libavif
    kit: media-kit
    original.package.name: media-libs/libavif
    original.package.slot: "0"
    original.package.version: 1.0.4
